coreEngine.Helper.ASCIIAdapter

## Enum ASCIISeedFileAdapter_RLFormat.HeaderType

- java.lang.Object
- - java.lang.Enum<ASCIISeedFileAdapter_RLFormat.HeaderType>
  - - coreEngine.Helper.ASCIIAdapter.ASCIISeedFileAdapter_RLFormat.HeaderType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ASCIISeedFileAdapter_RLFormat.HeaderType>
  Enclosing class:
    ASCIISeedFileAdapter_RLFormat

      private static enum ASCIISeedFileAdapter_RLFormat.HeaderType
      extends java.lang.Enum<ASCIISeedFileAdapter_RLFormat.HeaderType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CAF`
    `DDAF`
    `ERR`
    `FACILITY_GEOMETRY`
    `GENERAL_DATA`
    `LATERAL_CLEARANCE`
    `MAINLINE_DEMAND`
    `ODAF`
    `RAMP_ENTRY_DEMAND`
    `RAMP_EXIT_DEMAND`
    `RAMP_METERING_RATE`
    `RAMP_RAMP_DEMAND`
    `RV_CAR_EQ`
    `RV_MAINLINE`
    `RV_OFR`
    `RV_ONR`
    `SAF`
    `TRUCK_CAR_EQ`
    `TRUCK_MAINLINE`
    `TRUCK_OFR`
    `TRUCK_ONR`
    `WEAVE_LCFR`
    `WEAVE_LCRF`
    `WEAVE_LCRR`
    `WEAVE_LS`
    `WEAVE_NW`
    `WEAVE_ONE_SIDED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ASCIISeedFileAdapter_RLFormat.HeaderType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ASCIISeedFileAdapter_RLFormat.HeaderType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GENERAL_DATA

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType GENERAL_DATA

    - #### FACILITY_GEOMETRY

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType FACILITY_GEOMETRY

    - #### MAINLINE_DEMAND

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType MAINLINE_DEMAND

    - #### RAMP_ENTRY_DEMAND

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType RAMP_ENTRY_DEMAND

    - #### RAMP_EXIT_DEMAND

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType RAMP_EXIT_DEMAND

    - #### RAMP_RAMP_DEMAND

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType RAMP_RAMP_DEMAND

    - #### RAMP_METERING_RATE

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType RAMP_METERING_RATE

    - #### CAF

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType CAF

    - #### ODAF

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType ODAF

    - #### DDAF

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType DDAF

    - #### SAF

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType SAF

    - #### TRUCK_MAINLINE

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType TRUCK_MAINLINE

    - #### RV_MAINLINE

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType RV_MAINLINE

    - #### TRUCK_ONR

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType TRUCK_ONR

    - #### RV_ONR

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType RV_ONR

    - #### TRUCK_OFR

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType TRUCK_OFR

    - #### RV_OFR

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType RV_OFR

    - #### TRUCK_CAR_EQ

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType TRUCK_CAR_EQ

    - #### RV_CAR_EQ

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType RV_CAR_EQ

    - #### LATERAL_CLEARANCE

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType LATERAL_CLEARANCE

    - #### WEAVE_LS

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType WEAVE_LS

    - #### WEAVE_LCRF

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType WEAVE_LCRF

    - #### WEAVE_LCFR

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType WEAVE_LCFR

    - #### WEAVE_LCRR

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType WEAVE_LCRR

    - #### WEAVE_NW

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType WEAVE_NW

    - #### WEAVE_ONE_SIDED

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType WEAVE_ONE_SIDED

    - #### ERR

          public static final ASCIISeedFileAdapter_RLFormat.HeaderType ERR

  - ### Method Detail

    - #### values

          public static ASCIISeedFileAdapter_RLFormat.HeaderType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ASCIISeedFileAdapter_RLFormat.HeaderType c : ASCIISeedFileAdapter_RLFormat.HeaderType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ASCIISeedFileAdapter_RLFormat.HeaderType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null